[Overview][Types][Classes][Index] | Reference for unit 'LazCanvas' (#lcl)

# TLazCanvas.CanvasCopyRect

Copies the contents of a supported image format in ASource to the canvas.

## Declaration

Source position: lazcanvas.pas line 137

`public procedure TLazCanvas.CanvasCopyRect(`
`ASource: TFPCustomCanvas;`
`const ADestX: Integer;`
`const ADestY: Integer;`
`const ASourceX: Integer;`
`const ASourceY: Integer;`
`const ASourceWidth: Integer;`
`const ASourceHeight: Integer`
`);`

## Arguments

`ASource` |  | TFPCustomCanvas instance with the content copied in the method.
`ADestX` |  | Left coordinate on the canvas where the content in ASource is copied.
`ADestY` |  | Top coordinate on the canvas where the content in ASource is copied.
`ASourceX` |  | Left coordinate for the content in ASource copied in the method.
`ASourceY` |  | Top coordinate for the content in ASource copied in the method.
`ASourceWidth` |  | Width (in pixels) for the content in ASource copied in the method.
`ASourceHeight` |  | Height (in pixels) for the content in ASource copied in the method.

## See also

TLazCanvas.DoCopyRect |  | Performs actions needed to copy a source rectangle from the specified canvas.